#!/bin/sh
#-----------
# File:      nanocopi.sh
# Version:   1.0
# Date:      17 May 2017
#-----------
# Purpose:   Invokes the nanoCoP-i prover
# Usage:     ./nanocopi.sh <problem file>
# Author:    Jens Otten
# Web:       www.leancop.de/nanocop-i/
# Copyright: (c) 2017 by Jens Otten
# License:   GNU General Public License
#-----------

# set nanoCoP-i prover path
PROVER_PATH=.

# set Prolog system (ECLiPSe 5.x) and path
PROLOG=eclipse
PROLOG_PATH=/usr/bin/eclipse
PROLOG_OPTIONS='-e'

# set ILTP library path
# export TPTP=.

if [ $# -eq 0 -o $# -gt 1 ]; then
 echo "Usage: $0 <problem file>"
 exit 2
fi

if [ ! -r "$1" ]; then
 echo "Error: File $1 not found" >&2
 exit 2
fi

FILE=$1
SET='[cut,comp(6)]'

# invoke the core prover
$PROLOG_PATH $PROLOG_OPTIONS \
   "assert(prolog('$PROLOG')),\
    ['$PROVER_PATH/nanocopi_main.pl'],\
    nanocopi_main('$FILE',$SET,_),\
    halt."

